RULEXDB_CLOSE(3)

NAME
rulexdb_close - close a rulex database

SYNOPSIS
#include <rulexdb.h>

void rulexdb_open(RULEXDB *rulexdb);

DESCRIPTION
The rulexdb_close() function closes the database referenced by its argument, flushes all cached data if any, frees all associated resources and closes the underlying file.

SEE ALSO
rulexdb_classify(3), rulexdb_dataset_name(3), rulexdb_discard_dictionary(3), rulexdb_discard_ruleset(3), rulexdb_fetch_rule(3), rulexdb_lexbase(3), rulexdb_load_ruleset(3), rulexdb_open(3), rulexdb_remove_item(3), rulexdb_remove_rule(3), rulexdb_remove_this_item(3), rulexdb_retrieve_item(3), rulexdb_search(3), rulexdb_seq(3), rulexdb_subscribe_item(3), rulexdb_subscribe_rule(3)

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>.